Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jrex.event.context
Class ContextMenuEvent

    java.lang.Object
      org.mozilla.jrex.event.context.ContextMenuEvent

public class ContextMenuEvent
extends Object

A class representing JRex ContextMenu Event.

Version:
  1.0
Author:
  C.N.Medappa

Constructor Summary
`ContextMenuEvent(int jrexPeer, int contextFlags, int cX, int cY, Node targetNode, int nodeType, String uri, String imgUri)` ContextMenuEvent constructor

Method Summary
`int` | `getClientX()` Returns x co-ordinate where context menu should be displayed.
`int` | `getClientY()` Returns y co-ordinate where context menu should be displayed.
`int` | `getContextFlags()` Returns context flags for the event.
`String` | `getImageURI()` Returns mage uri for the event, if any.
`int` | `getJRexPeer()` Returns the target browser component to which the ContextMenu event belongs.
`int` | `getNodeType()` Returns node type for the event.
`Node` | `getTargetNode()` Returns node for the event.
`String` | `getURI()` Returns uri for the event.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ContextMenuEvent

    public ContextMenuEvent(int jrexPeer,
                            int contextFlags,
                            int cX,
                            int cY,
                            Node targetNode,
                            int nodeType,
                            String uri,
                            String imgUri)

  ContextMenuEvent constructor

Parameters:
  `jrexPeer` - target browser component to which the event belongs
  `contextFlags` - context flags for the event.
  `cX` - x co-ordinate where context menu should be displayed.
  `cY` - y co-ordinate where context menu should be displayed.
  `nodeType` - node type for the event.
  `uri` - uri for the event.
  `imgUri` - image uri for the event, if any.
See Also:
  `ContextMenuEventConstants`

Method Detail

### getJRexPeer

    public int getJRexPeer()

  Returns the target browser component to which the ContextMenu event belongs.

### getContextFlags

    public int getContextFlags()

  Returns context flags for the event.

### getClientX

    public int getClientX()

  Returns x co-ordinate where context menu should be displayed.

### getClientY

    public int getClientY()

  Returns y co-ordinate where context menu should be displayed.

### getTargetNode

    public Node getTargetNode()

  Returns node for the event. Will be `null` if DOM is not enabled.

### getNodeType

    public int getNodeType()

  Returns node type for the event.

### getURI

    public String getURI()

  Returns uri for the event.

### getImageURI

    public String getImageURI()

  Returns mage uri for the event, if any.

### toString

    public String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 C.N.Medappa. All Rights Reserved.